Subject: bug#55628: debug-timer-check fails on macOS 11.6.6

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 25 May 2022 14:20:07 +0200

Mattias Engdegård <[email-masked]> writes:

> Built with enable-checking, (debug-timer-check) returns nil.
> It turns out that debug_timer_callback is never actually called, but I
> haven't dug further than that.
>
> This is on macOS 11.6.6 and HAVE_TIMERFD is not defined. Does this
> code path work on other systems?

I tried this on Debian/bookworm (with nativecomp, but that probably
doesn't make a difference), and I got nil there, too.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no